package utils

var PackConfPath = "package.json"
var ConfigPath = "uploader.json"
var OutputDb = "db.json"
var AppConfPath = "app.json"

type UpConfItem struct {
	Files    []string
	Modify   string
	PackName string
	Dest     string
}

type Version struct {
	Label     string `json:"label"`
	Name      string `json:"name"`
	Icon      string `json:"icon"`
	Type      string `json:"type"`
	Version   string `json:"version"`
	SizeM     int    `json:"sizeM"`
	Url       string `json:"url"`
	Platform  string `json:"platform"`
	Thumbnail string `json:"thumbnail"`
}

type App struct {
	Name           string   `json:"name"`
	Version        string   `json:"version"`
	LastUpdateDate string   `json:"lastUpdateDate"`
	Icon           string   `json:"icon"`
	RevAssets      []string `json:"revAssets"`
	Size           string   `json:"size"`
	Tags           string   `json:"tags"`
	Desc           string   `json:"desc"`
	Entry          string   `json:"entry"`
	Type           string   `json:"type"`
	Key            string   `json:"key"`
	InstCount      int      `json:"instCount"`
}
